Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005PotentialFieldBasicBehavior Class Reference

An abstract base class for all potential field based basic behaviors. More...

`#include <GT2005PotentialFieldBasicBehaviors.h>`

Inheritance diagram for GT2005PotentialFieldBasicBehavior:

[legend]
Collaboration diagram for GT2005PotentialFieldBasicBehavior:

[legend]
List of all members.

## Public Member Functions
| GT2005PotentialFieldBasicBehavior (const BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler, const char *behaviorName, const char *pfcFileName)
virtual void | execute ()=0
| Executes the basic behavior.
## Protected Attributes
GTStandardConverter | potentialfields
| An instance of the potential field architecture.
PotentialfieldResult | result
| A standard instance of a result structure.

## Detailed Description

An abstract base class for all potential field based basic behaviors.

Author:
  Tim Laue

Definition at line 23 of file GT2005PotentialFieldBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005PotentialFieldBasicBehavior::GT2005PotentialFieldBasicBehavior | ( | const BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | const char * | behaviorName,
|  | const char * | pfcFileName
| ) | `[inline]`

| Definition at line 32 of file GT2005PotentialFieldBasicBehaviors.h. References GTStandardConverter::load().

Here is the call graph for this function:

## Member Function Documentation

virtual void GT2005PotentialFieldBasicBehavior::execute | ( |  | ) | `[pure virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Implemented in GT2005PotentialFieldBasicBehaviorSupport, GT2005PotentialFieldBasicBehaviorOffensiveSupport, and GT2005PotentialFieldBasicBehaviorAvoidRobots.

## Member Data Documentation

GTStandardConverter GT2005PotentialFieldBasicBehavior::potentialfields`[protected]`

| An instance of the potential field architecture. Definition at line 45 of file GT2005PotentialFieldBasicBehaviors.h.

PotentialfieldResult GT2005PotentialFieldBasicBehavior::result`[protected]`

| A standard instance of a result structure. Definition at line 47 of file GT2005PotentialFieldBasicBehaviors.h.

The documentation for this class was generated from the following file:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005PotentialFieldBasicBehaviors.h